Bug 17011 - Remove "onblur" event attribute from some templates
Summary: Remove "onblur" event attribute from some templates
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-01 14:18 UTC by Owen Leonard
Modified: 2017-12-07 22:15 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17011 - Remove "onblur" event attribute from some templates (6.65 KB, patch)
2016-08-01 14:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17011 - Remove "onblur" event attribute from some templates (6.75 KB, patch)
2016-08-02 04:02 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 17011 - Remove "onblur" event attribute from some templates (6.83 KB, patch)
2016-08-02 10:35 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-08-01 14:18:55 UTC
Several templates have an inline "onblur" attribute. This event definition should be moved to the JavaScript.
Comment 1 Owen Leonard 2016-08-01 14:27:21 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2016-08-02 04:02:57 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-08-02 10:35:14 UTC
Created attachment 53886 [details] [review]
Bug 17011 - Remove "onblur" event attribute from some templates

Several templates have an "onblur" event attribute in the markup. This
patch moves the onblur event definition into the JavaScript.

To test, apply the patch and clear your browser cache if necessary.

In Administration -> Authority types:

  - Choose "New authority type."
  - Enter any text into the "Authority type" field.
  - Moving the cursor focus away from this field should convert your
    text to uppercase.

In Administration -> MARC bibliographic framework:

  - Choose "New framework."
  - Enter any text into the "Framework code" field.
  - Moving the cursor focus away from this field should convert your
    text to uppercase.

In Administration -> Currencies and exchange rates:

 - Choose "New currency."
  - Enter any text into the "Currency" field.
  - Moving the cursor focus away from this field should convert your
    text to uppercase.

In Administration -> Item types

 - Choose "New item type."
  - Enter any text into the "Item type" field.
  - Moving the cursor focus away from this field should convert your
    text to uppercase.

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-09-09 13:54:49 UTC
Pushed to master for 16.11, thanks Owen!
Comment 5 Frédéric Demians 2016-09-13 07:04:10 UTC
Pushed in 16.05. Will be in 16.05.04.